Bug 1471455 - nouveau and wayland crashes
nouveau and wayland crashes
Status: NEW
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-15 22:25 EDT by Tom Horsley
Modified: 2017-09-07 11:00 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
journalctl recovered from crashed system (4.14 MB, text/plain)
2017-07-15 22:25 EDT, Tom Horsley
no flags Details

  None (edit)
Description Tom Horsley 2017-07-15 22:25:54 EDT
Created attachment 1299191 [details]
journalctl recovered from crashed system

Description of problem:

If I try to login to a gnome wayland session the screen goes all static and the system appears to freeze up. I've attached the journalctl output for the last boot I recovered from the f26 boot partition after booting back into working f24.


Version-Release number of selected component (if applicable):
xorg-x11-drv-nouveau-1.0.15-1.fc26.x86_64
kernel-4.11.9-300.fc26.x86_64


How reproducible:
Every time.

Steps to Reproduce:
1.from gdm login screen, select gnome login
2.see screen go all static and freeze
3.

Actual results:
frozen

Expected results:
gnome session login

Additional info:
Comment 1 Tom Horsley 2017-07-15 22:30:47 EDT
I don't have this problem when I use gnome on xorg, but I do get a different crash there when rebooting.

Bug 1471330 shows the xorg crash I get when I reboot from a gnome on xorg session using the same system.
Comment 2 Tom Horsley 2017-07-19 08:15:57 EDT
On a system at work where I have also installed fedora 26, my GTX 750 Ti nvidia card does not have these problems. No crashes, wayland runs fine. I only see the crashes on my GTX 960.

Note You need to log in before you can comment on or make changes to this bug.